package com.metaonewalletreactnativesdk

import com.facebook.react.bridge.Arguments
import com.facebook.react.bridge.WritableMap
import org.json.JSONObject

class Helper {
  fun stringToMap(jsonString: String): WritableMap {
    val jsonObject = JSONObject(jsonString)
    val writableMap = Arguments.createMap()
    for (key in jsonObject.keys()) {
      when (val value = jsonObject[key]) {
        is String -> writableMap.putString(key, value)
        is Int -> writableMap.putInt(key, value)
        is Double -> writableMap.putDouble(key, value)
        is Boolean -> writableMap.putBoolean(key, value)
        is JSONObject -> writableMap.putMap(
          key,
          stringToMap(value.toString()),
        )
        else -> writableMap.putString(key, value.toString())
      }
    }
    return writableMap
  }
}
