package com.metaonewalletreactnativesdk

import com.facebook.react.bridge.Promise
import com.google.gson.Gson
import ventures.aag.metaonesdk.models.ErrorResponse
import ventures.aag.metaonesdk.models.M1EnqueueCallback

class PromiseCallback<T>(private val promise: Promise) : M1EnqueueCallback<T>() {
  override fun onSuccess(response: T) {
    promise.resolve(Helper().stringToMap(Gson().toJson(response)))
  }

  override fun onError(errorBody: ErrorResponse) {
    promise.reject(ErrorResponse.toThrowable(errorBody))
  }

  override fun onFailure(message: String) {
    promise.reject(Throwable(message))
  }
}
