import Foundation
import metaoneSDK
import SwiftUI


class PromiseCallback<T> {
    let enqueueCallback: M1EnqueueCallback<T>
    init(resolve: @escaping RCTPromiseResolveBlock, reject: @escaping RCTPromiseRejectBlock) {
        self.enqueueCallback = M1EnqueueCallback(
            onSuccess: { response in
                let encodableResponse = response as? Encodable
                let encoder = JSONEncoder()
                if let encodableResponse = response as? Encodable{
                    let jsonString = Helper().stringify(data:encodableResponse)
                    resolve(Helper().toDictionary(text: jsonString!))
                } else {
                    reject("ERROR_CODE", "Unable to convert response to dictionary", nil)
                }
            },
            onError: { error in
                print("onError-\(error)")
                reject(error.code, error.error, error.toError())
            }
        )
    }
}
