"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var _exportNames = {
  initialize: true,
  loginWithSSO: true,
  refreshSession: true,
  openWallet: true,
  getSessionActivityStatus: true,
  getColorsScheme: true,
  setColorsScheme: true,
  getCurrentLanguage: true,
  setCurrentLanguage: true,
  getWallets: true,
  getCurrencies: true,
  getTransactions: true,
  getNFTs: true,
  getUserContacts: true,
  getUserContactWithId: true,
  addUserContact: true,
  updateUserContact: true,
  deleteUserContact: true,
  logout: true,
  getExpireAt: true
};
exports.addUserContact = addUserContact;
exports.deleteUserContact = deleteUserContact;
exports.getColorsScheme = getColorsScheme;
exports.getCurrencies = getCurrencies;
exports.getCurrentLanguage = getCurrentLanguage;
exports.getExpireAt = getExpireAt;
exports.getNFTs = getNFTs;
exports.getSessionActivityStatus = getSessionActivityStatus;
exports.getTransactions = getTransactions;
exports.getUserContactWithId = getUserContactWithId;
exports.getUserContacts = getUserContacts;
exports.getWallets = getWallets;
exports.initialize = initialize;
exports.loginWithSSO = loginWithSSO;
exports.logout = logout;
exports.openWallet = openWallet;
exports.refreshSession = refreshSession;
exports.setColorsScheme = setColorsScheme;
exports.setCurrentLanguage = setCurrentLanguage;
exports.updateUserContact = updateUserContact;
var _reactNative = require("react-native");
var _types = require("./types");
Object.keys(_types).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _types[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _types[key];
    }
  });
});
const LINKING_ERROR = `The package '@aag-development/react-native-metaone-wallet-sdk' doesn't seem to be linked. Make sure: \n\n` + _reactNative.Platform.select({
  ios: "- You have run 'pod install'\n",
  default: ''
}) + '- You rebuilt the app after installing the package\n' + '- You are not using Expo Go\n';
const MetaoneWalletReactNativeSdk = _reactNative.NativeModules.MetaoneWalletReactNativeSdk ? _reactNative.NativeModules.MetaoneWalletReactNativeSdk : new Proxy({}, {
  get() {
    throw new Error(LINKING_ERROR);
  }
});
function initialize(config) {
  return MetaoneWalletReactNativeSdk.initialize(config);
}
function loginWithSSO(token) {
  return MetaoneWalletReactNativeSdk.loginWithSSO(token);
}
function refreshSession() {
  return MetaoneWalletReactNativeSdk.refreshSession();
}
function openWallet() {
  MetaoneWalletReactNativeSdk.openWallet();
}
function getSessionActivityStatus() {
  return MetaoneWalletReactNativeSdk.getSessionActivityStatus();
}
function getColorsScheme() {
  return MetaoneWalletReactNativeSdk.getColorsScheme();
}
function setColorsScheme(colors) {
  MetaoneWalletReactNativeSdk.setColorsScheme(colors);
}
function getCurrentLanguage() {
  return MetaoneWalletReactNativeSdk.getCurrentLanguage();
}
function setCurrentLanguage(language) {
  MetaoneWalletReactNativeSdk.setCurrentLanguage(language);
}
function getWallets() {
  return MetaoneWalletReactNativeSdk.getWallets();
}
function getCurrencies() {
  return MetaoneWalletReactNativeSdk.getCurrencies();
}
function getTransactions(walletId, assetRef, bip44, tokenAddress, limit, offset) {
  return MetaoneWalletReactNativeSdk.getTransactions(walletId, assetRef, bip44, tokenAddress, String(limit ? limit : 100), String(offset ? offset : 0));
}
function getNFTs(walletId, searchString, limit, offset) {
  return MetaoneWalletReactNativeSdk.getNFTs(walletId, searchString, String(limit ? limit : 100), String(offset ? offset : 0));
}
function getUserContacts() {
  return MetaoneWalletReactNativeSdk.getUserContacts();
}
function getUserContactWithId(id) {
  return MetaoneWalletReactNativeSdk.getUserContactWithId(id);
}
function addUserContact(contact) {
  return MetaoneWalletReactNativeSdk.addUserContact(contact);
}
function updateUserContact(id, contact) {
  return MetaoneWalletReactNativeSdk.updateUserContact(id, contact);
}
function deleteUserContact(contactId) {
  return MetaoneWalletReactNativeSdk.deleteUserContact(contactId);
}
function logout() {
  MetaoneWalletReactNativeSdk.logout();
}
function getExpireAt() {
  return MetaoneWalletReactNativeSdk.getExpireAt();
}
//# sourceMappingURL=index.js.map