import { NativeModules, Platform } from 'react-native';
const LINKING_ERROR = `The package '@aag-development/react-native-metaone-wallet-sdk' doesn't seem to be linked. Make sure: \n\n` + Platform.select({
  ios: "- You have run 'pod install'\n",
  default: ''
}) + '- You rebuilt the app after installing the package\n' + '- You are not using Expo Go\n';
const MetaoneWalletReactNativeSdk = NativeModules.MetaoneWalletReactNativeSdk ? NativeModules.MetaoneWalletReactNativeSdk : new Proxy({}, {
  get() {
    throw new Error(LINKING_ERROR);
  }
});
export function initialize(config) {
  return MetaoneWalletReactNativeSdk.initialize(config);
}
export function loginWithSSO(token) {
  return MetaoneWalletReactNativeSdk.loginWithSSO(token);
}
export function refreshSession() {
  return MetaoneWalletReactNativeSdk.refreshSession();
}
export function openWallet() {
  MetaoneWalletReactNativeSdk.openWallet();
}
export function getSessionActivityStatus() {
  return MetaoneWalletReactNativeSdk.getSessionActivityStatus();
}
export function getColorsScheme() {
  return MetaoneWalletReactNativeSdk.getColorsScheme();
}
export function setColorsScheme(colors) {
  MetaoneWalletReactNativeSdk.setColorsScheme(colors);
}
export function getCurrentLanguage() {
  return MetaoneWalletReactNativeSdk.getCurrentLanguage();
}
export function setCurrentLanguage(language) {
  MetaoneWalletReactNativeSdk.setCurrentLanguage(language);
}
export function getWallets() {
  return MetaoneWalletReactNativeSdk.getWallets();
}
export function getCurrencies() {
  return MetaoneWalletReactNativeSdk.getCurrencies();
}
export function getTransactions(walletId, assetRef, bip44, tokenAddress, limit, offset) {
  return MetaoneWalletReactNativeSdk.getTransactions(walletId, assetRef, bip44, tokenAddress, String(limit ? limit : 100), String(offset ? offset : 0));
}
export function getNFTs(walletId, searchString, limit, offset) {
  return MetaoneWalletReactNativeSdk.getNFTs(walletId, searchString, String(limit ? limit : 100), String(offset ? offset : 0));
}
export function getUserContacts() {
  return MetaoneWalletReactNativeSdk.getUserContacts();
}
export function getUserContactWithId(id) {
  return MetaoneWalletReactNativeSdk.getUserContactWithId(id);
}
export function addUserContact(contact) {
  return MetaoneWalletReactNativeSdk.addUserContact(contact);
}
export function updateUserContact(id, contact) {
  return MetaoneWalletReactNativeSdk.updateUserContact(id, contact);
}
export function deleteUserContact(contactId) {
  return MetaoneWalletReactNativeSdk.deleteUserContact(contactId);
}
export function logout() {
  MetaoneWalletReactNativeSdk.logout();
}
export function getExpireAt() {
  return MetaoneWalletReactNativeSdk.getExpireAt();
}
export * from './types';
//# sourceMappingURL=index.js.map