import type { AuthApiModel, ColorsScheme, ContactsApiModel, LanguageType, Response, SDKConfig, WalletsAPIModel } from './types';
export declare function initialize(config: SDKConfig): Promise<boolean>;
export declare function loginWithSSO(token: string): Promise<boolean>;
export declare function refreshSession(): Promise<boolean>;
export declare function openWallet(): void;
export declare function getSessionActivityStatus(): Promise<AuthApiModel.SessionActivityStatus>;
export declare function getColorsScheme(): Promise<ColorsScheme>;
export declare function setColorsScheme(colors: ColorsScheme): void;
export declare function getCurrentLanguage(): Promise<LanguageType>;
export declare function setCurrentLanguage(language: LanguageType): void;
export declare function getWallets(): Promise<WalletsAPIModel.UserWalletsResponse>;
export declare function getCurrencies(): Promise<WalletsAPIModel.UserCurrenciesResponse>;
export declare function getTransactions(walletId?: string, assetRef?: string, bip44?: string, tokenAddress?: string, limit?: number, offset?: number): Promise<LanguageType>;
export declare function getNFTs(walletId?: string, searchString?: string, limit?: number, offset?: number): Promise<WalletsAPIModel.UserNFTsResponse>;
export declare function getUserContacts(): Promise<ContactsApiModel.ContactsResponse>;
export declare function getUserContactWithId(id: string): Promise<ContactsApiModel.ContactResponse>;
export declare function addUserContact(contact: ContactsApiModel.Contact): Promise<ContactsApiModel.ContactResponse>;
export declare function updateUserContact(id: string, contact: ContactsApiModel.Contact): Promise<ContactsApiModel.ContactResponse>;
export declare function deleteUserContact(contactId: string): Promise<Response>;
export declare function logout(): void;
export declare function getExpireAt(): Promise<string>;
export * from './types';
//# sourceMappingURL=index.d.ts.map