interface Transaction {
    recentBlockhash: string;
    feePayer: string;
    nonceInfo: null | number | string;
    instructions: [
        {
            keys: {
                pubkey: string;
                isSigner: boolean;
                isWritable: boolean;
            }[];
            programId: string;
            data: number[];
        }
    ];
    signers: [];
}

interface UnsignedTransaction {
    data: Transaction;
    publicKey: string;
    encoded: string;
}

export interface UnsignedRpcTransactionData {
	data: string;
	gas?: string;
	from?: string;
	to?: string;
	nonce?: string;
	value?: string;
	prevTxId: string;
	functionName?: string;
	contractAddress?: string;
	sourceUrl?: string;
	networkType?: any;
	walletId?: string;
	txData?: UnsignedTransaction;
	message?: unknown;
}